package com.gic.haoban.manage.web.qo.welcome;

import com.gic.haoban.base.api.common.BasePageInfo;
import org.hibernate.validator.constraints.NotEmpty;

import java.io.Serializable;

/**
 * desc：列表查询欢迎语qo
 *
 * @author: YongEn
 * @date: 2022/2/9
 **/
public class ListWelcomeQO extends BasePageInfo {
    private static final long serialVersionUID = 5543264430718991071L;

    /**
     * 微信企业id
     */
    @NotEmpty(message = "微信企业id不能为空")
    private String wxEnterpriseId;
    /**
     * 标题
     */
    private String title;

    /**
     * 欢迎语类型
     * @see com.gic.haoban.manage.api.enums.hm.HmWelcomeType
     */
    private Integer type;

    private int scene ;

    public int getScene() {
        return scene;
    }

    public void setScene(int scene) {
        this.scene = scene;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "ListWelcomeQO{" +
                "wxEnterpriseId='" + wxEnterpriseId + '\'' +
                ", title='" + title + '\'' +
                '}';
    }
}
